﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="JitbitCRM._Default" MasterPageFile="~/JitbitCRMMaster.Master" %>
<%@ Register src="Comments.ascx" tagname="Comments" tagprefix="uc1" %>
<%@ Register src="Tasks.ascx" tagname="Tasks" tagprefix="uc2" %>


<asp:Content ContentPlaceHolderID="tabmenu2" runat="server"><li runat="server" id="liComments" enableviewstate="false">
	<a href="Default.aspx"><asp:Label id="lblHistory" runat="server">Recent history</asp:Label></a></li>
<li runat="server" id="liTasks" enableviewstate="false">
	<a href="Default.aspx?Tasks=1"><asp:Label id="lblTasks" runat="server">Upcoming tasks</asp:Label></a></li>
<li>
	<asp:UpdatePanel RenderMode="Inline" ID="UpdatePanel2" runat="server">
	<ContentTemplate><asp:CheckBox ID="cbShowMine" AutoPostBack="true" OnCheckedChanged="cbShowMine_CheckedChanged" onclick="SaveAssignedToMeCheckbox(this)" runat="server" Text="only companies, contacts, projects and tasks assigned to me" /></ContentTemplate>
	</asp:UpdatePanel>
</li></asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">
<p class="grey">Jitbit CRM is an advanced address book - a database of <b>Companies, Contacts</b> and <b>Projects</b>.<br />
Each <b>object</b> (company, contact or project) has its tasks and history-log that you can add notes to.</p>

<%--<a href="Companies.aspx" class="dahsboard outerroundedbox"><img src="images/Company.png" alt="" />
			<asp:Label ID="lblCompanies" runat="server" EnableViewState="False">Companies</asp:Label></a>
<a href="Contacts.aspx" class="dahsboard outerroundedbox"><img src="images/Contact.png" alt="" />
			<asp:Label ID="lblContacts" runat="server" EnableViewState="False">Contacts</asp:Label></a>
<a href="Projects.aspx" class="dahsboard outerroundedbox"><img src="images/Project.png" alt="" />
			<asp:Label ID="lblProjects" runat="server" EnableViewState="False">Projects</asp:Label></a>
<br style="clear:both" />--%>

<p class="grey"> Number of companies in the system - <b><%= NumberOfCompanies %></b>, contacts - <b><%= NumberOfContacts %></b>, projects - <b><%= NumberOfProjects %></b></p>

<div class="outerroundedbox">
<div >
	<uc2:Tasks ID="Tasks1" runat="server" ReadOnly="true" ShowContactLinks="true" ShowCompanyLinks="true"  ShowProjectLinks="true" />
	<uc1:Comments ID="Comments1" runat="server" ReadOnly="true" ShowContactLinks="true" ShowCompanyLinks="true" ShowProjectLinks="true"/>

<br />
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
<ContentTemplate><asp:LinkButton ID="btnMore" runat="server" OnClick="btnMore_Click" EnableViewState="false" Text="more..."></asp:LinkButton></ContentTemplate>
</asp:UpdatePanel>
</div>
</div>

<script src="js/jquery.cookie.js" type="text/javascript"></script>
<script type="text/javascript">
	function SaveAssignedToMeCheckbox(cbElement) {
		if ($(cbElement).is(':checked')) {
			$.cookie("onlyAssignedToMe", true, { expires: 7 });
		}
		else {
			$.removeCookie("onlyAssignedToMe");
		}
	}
</script>

</asp:Content>