﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TagsTextBox.ascx.cs" Inherits="JitbitCRM.TagsTextBox" %>

<asp:TextBox ID="tbTags" runat="server" AutoCompleteType="None"></asp:TextBox>

<%--autocomplete (for tags)
http://jqueryui.com/demos/autocomplete/#multiple-remote
--%>
<script type="text/javascript">
	$(document).ready(function () {
		$("#<%= tbTags.ClientID %>")
		<%--dont navigate away from the field on tab when selecting an item--%>
			.bind("keydown", function (event) {
				if (event.keyCode === $.ui.keyCode.TAB &&
						$(this).data("autocomplete").menu.active) {
					event.preventDefault();
				}
			})
			.autocomplete({
				source: function (request, response) {
					$.getJSON("ajaxtagsearchautocomplete.ashx", {
						term: extractLast(request.term)
					}, response);
				},
				focus: function () {
					<%--prevent value inserted on focus--%>
					return false;
				},
				select: function (event, ui) {
					var terms = split(this.value);
					<%--remove the current input--%>
					terms.pop();
					<%--add the selected item--%>
					terms.push(ui.item.value);
					<%--add placeholder to get the comma-and-space at the end--%>
					terms.push("");
					this.value = terms.join(", ");
					return false;
				}
			});
	});
</script>